{
  imports = [ <nixpkgs/nixos/modules/virtualisation/amazon-image.nix> ];
  ec2.hvm = true;
  boot.kernel.sysctl = { "vm.swappiness" = 0; };
  swapDevices = [ {
    device = "/var/swapfile";
    size = 8192; # megabytes
    randomEncryption = true;
  } ];


  boot.supportedFilesystems = [ "zfs" ];
  networking.hostId = "10000000";

  # Manually created using:
  #   zpool create -m legacy -o ashift=12 root /dev/disk/by-id/nvme-Amazon_Elastic_Block_Store_vol047fc3ea6bafdcc58
  fileSystems."/storage" = {
    device = "root";
    fsType = "zfs";
  };
}
